[Prev: PREVPGLINKIA] | [Resources][TOC] | [Next: QUIET]

# PRINTXCOMMENTS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_PRINTXCOMMENTS=` [ `0` | `1` ]

Element

  `<PRINTXCOMMENTS>`
  `<NOPRINTXCOMMENTS>`

Command-line Option

  `-printxcomments`
  `-noprintxcomments`

## Description

PRINTXCOMMENTS determines if special comment declarations are included in archive messages pages. For each message page file, something like the following appears at the beginning:

    <!--X-Subject: Hello World! -->
    <!--X-From-R13: rneyNrneyubbq.pbz -->
    <!--X-Date: Sun May 23 18:35:25 EDT 1999 -->
    <!--X-Message-Id: asdjf21kasdla2j.121asdlk@example.com -->
    <!--X-Content-Type: text/plain -->

Normally, these "X" comments are for informative purposes only and are not required by mhonarc to perform archive operations.

However, the comments can provide important functionality in some cases, for example:

- When `mha-dbrecover` is used: `mha-dbrecover` uses X comments to reconstruct an archive database file from archive message pages.

- Meta-fields for search indexers: Search engines that provide media-type-aware indexing (like Namazu) can key off the X comments when MHonArc message pages are indexed.

If PRINTXCOMMENTS is disabled, X comments will not be printed.

NOTE: | Some X comments — which are intermixed with message page content — will always be printed, even if PRINTXCOMMENTS is disabled. These X comments are critical for performing archive updates.

## Default Setting

On.

## Resource Variables

N/A

## Examples

None.

## Version

2.6.14

## See Also

[Prev: PREVPGLINKIA] | [Resources][TOC] | [Next: QUIET]